/**
 * 5x5 gaussian blur texture lookup, optimized, but based on:
 *
 * - http://rastergrid.com/blog/2010/09/efficient-gaussian-blur-with-linear-sampling/
 * - https://github.com/Jam3/glsl-fast-gaussian-blur
 *
 * @param tex - sampler2D
 * @param res - resolution
 * @param uv -
 * @param dir - blur pass direction (`vec2(1,0)` or `vec2(0,1)`)
 */
export declare const blur5: import("@thi.ng/shader-ast").TaggedFn4<"sampler2D", "vec2", "vec2", "vec2", "vec4">;
/**
 * 9x9 gaussian blur texture lookup, optimized, but based on:
 *
 * - http://rastergrid.com/blog/2010/09/efficient-gaussian-blur-with-linear-sampling/
 * - https://github.com/Jam3/glsl-fast-gaussian-blur
 *
 * @param tex - sampler2D
 * @param res - resolution
 * @param uv -
 * @param dir - blur pass direction (`vec2(1,0)` or `vec2(0,1)`)
 */
export declare const blur9: import("@thi.ng/shader-ast").TaggedFn4<"sampler2D", "vec2", "vec2", "vec2", "vec4">;
/**
 * 13x13 gaussian blur texture lookup, optimized, but based on:
 *
 * - http://rastergrid.com/blog/2010/09/efficient-gaussian-blur-with-linear-sampling/
 * - https://github.com/Jam3/glsl-fast-gaussian-blur
 *
 * @param tex - sampler2D
 * @param res - resolution
 * @param uv -
 * @param dir - blur pass direction (`vec2(1,0)` or `vec2(0,1)`)
 */
export declare const blur13: import("@thi.ng/shader-ast").TaggedFn4<"sampler2D", "vec2", "vec2", "vec2", "vec4">;
//# sourceMappingURL=blur.d.ts.map